import { List } from './List';
import { Map, Entry } from './Map';
export declare class HashMap<K, V> implements Map<K, V> {
    protected keyList: List<K>;
    protected hashMap: Object;
    size(): number;
    isEmpty(): boolean;
    containsKey(key: K): boolean;
    containsValue(value: V): boolean;
    put(key: K, value: V): V;
    remove(key: K, testValue?: V): V;
    keySet(): List<K>;
    values(): List<V>;
    entrySet(): List<Entry<K, V>>;
    get(key: K): V;
    getOrDefault(key: K, defaultValue: V): V;
    putAll(m: Map<K, V>): void;
    removeAll(l: Entry<K, V>[]): void;
    clear(): void;
    forEach(action: Function): void;
    map(action: Function): Array<any>;
}
